#!/bin/sh

LINUX_DISTRIB_ID=`cat /etc/*-release | grep "DISTRIB_ID" | cut -d "=" -f 2`
LINUX_DISTRIB_RELEASE=`cat /etc/*-release | grep "DISTRIB_RELEASE" | cut -d "=" -f 2`

gksudo echo "Ready to install..." 

if [ $LINUX_DISTRIB_ID == "Ubuntu" ];then
  
case "$LINUX_DISTRIB_RELEASE" in
   10.04)
   	;;
   10.10)
	;;
   *)
   	echo "No support $LINUX_DISTRIB_ID $LINUX_DISTRIB_RELEASE"
	exit 1
	;;
esac

fi

echo "Linux distribution is $LINUX_DISTRIB_ID $LINUX_DISTRIB_RELEASE"

sudo cp linux/90-local.rules /etc/udev/rules.d/

sudo cp linux/beeline_cdrom.sh /usr/local/bin/
sudo chmod 777 /usr/local/bin/beeline_cdrom.sh

sudo cp linux/beeline_cdrom_bottom.sh /usr/local/bin/
sudo chmod 777 /usr/local/bin/beeline_cdrom_bottom.sh

sudo cp linux/beeline_hostless.sh /usr/local/bin/
sudo chmod 777 /usr/local/bin/beeline_hostless.sh

sudo cp linux/beeline_hostless_bottom.sh /usr/local/bin/
sudo chmod 777 /usr/local/bin/beeline_hostless_bottom.sh

sudo /usr/local/bin/beeline_cdrom.sh &

exit

